Skip to content

@line/bot-sdk


@line/bot-sdk / liff / LiffClient

Class: LiffClient ​

Defined in: lib/liff/api/liffClient.ts:53

See ​

LineBotClient for a unified interface that wraps this client.

Constructors ​

Constructor ​

new LiffClient(config): LiffClient

Defined in: lib/liff/api/liffClient.ts:69

Initializes a new LiffClient.

Parameters ​

config ​

httpClientConfig

Configuration for this API client.

Returns ​

LiffClient

Example ​

ts
const client = new LiffClient({
  channelAccessToken: process.env.LINE_CHANNEL_ACCESS_TOKEN!,
});

Methods ​

addLIFFApp() ​

addLIFFApp(addLiffAppRequest): Promise<AddLiffAppResponse>

Defined in: lib/liff/api/liffClient.ts:89

Adding the LIFF app to a channel Calls POST https://api.line.me/liff/v1/apps. To inspect the HTTP status code or response headers, use addLIFFAppWithHttpInfo.

Parameters ​

addLiffAppRequest ​

AddLiffAppRequest

Returns ​

Promise<AddLiffAppResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


addLIFFAppWithHttpInfo() ​

addLIFFAppWithHttpInfo(addLiffAppRequest): Promise<ApiResponseType<AddLiffAppResponse>>

Defined in: lib/liff/api/liffClient.ts:104

Adding the LIFF app to a channel Calls POST https://api.line.me/liff/v1/apps. This method returns the response body together with the underlying httpResponse.

Parameters ​

addLiffAppRequest ​

AddLiffAppRequest

Returns ​

Promise<ApiResponseType<AddLiffAppResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


deleteLIFFApp() ​

deleteLIFFApp(liffId): Promise<MessageAPIResponseBase>

Defined in: lib/liff/api/liffClient.ts:123

Deletes a LIFF app from a channel. Calls DELETE https://api.line.me/liff/v1/apps/{liffId}. To inspect the HTTP status code or response headers, use deleteLIFFAppWithHttpInfo.

Parameters ​

liffId ​

string

ID of the LIFF app to be updated

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


deleteLIFFAppWithHttpInfo() ​

deleteLIFFAppWithHttpInfo(liffId): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/liff/api/liffClient.ts:138

Deletes a LIFF app from a channel. Calls DELETE https://api.line.me/liff/v1/apps/{liffId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

liffId ​

string

ID of the LIFF app to be updated

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


getAllLIFFApps() ​

getAllLIFFApps(): Promise<GetAllLiffAppsResponse>

Defined in: lib/liff/api/liffClient.ts:158

Gets information on all the LIFF apps added to the channel. Calls GET https://api.line.me/liff/v1/apps. To inspect the HTTP status code or response headers, use getAllLIFFAppsWithHttpInfo.

Returns ​

Promise<GetAllLiffAppsResponse>

A promise resolving to the response body.

See ​

LINE Developers documentation


getAllLIFFAppsWithHttpInfo() ​

getAllLIFFAppsWithHttpInfo(): Promise<ApiResponseType<GetAllLiffAppsResponse>>

Defined in: lib/liff/api/liffClient.ts:170

Gets information on all the LIFF apps added to the channel. Calls GET https://api.line.me/liff/v1/apps. This method returns the response body together with the underlying httpResponse.

Returns ​

Promise<ApiResponseType<GetAllLiffAppsResponse>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation


updateLIFFApp() ​

updateLIFFApp(liffId, updateLiffAppRequest): Promise<MessageAPIResponseBase>

Defined in: lib/liff/api/liffClient.ts:188

Update LIFF app settings Calls PUT https://api.line.me/liff/v1/apps/{liffId}. To inspect the HTTP status code or response headers, use updateLIFFAppWithHttpInfo.

Parameters ​

liffId ​

string

ID of the LIFF app to be updated

updateLiffAppRequest ​

UpdateLiffAppRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


updateLIFFAppWithHttpInfo() ​

updateLIFFAppWithHttpInfo(liffId, updateLiffAppRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/liff/api/liffClient.ts:206

Update LIFF app settings Calls PUT https://api.line.me/liff/v1/apps/{liffId}. This method returns the response body together with the underlying httpResponse.

Parameters ​

liffId ​

string

ID of the LIFF app to be updated

updateLiffAppRequest ​

UpdateLiffAppRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation